org.apache.olingo.server.api.uri.queryoption.expression

## Enum MethodKind

- java.lang.Object
- - java.lang.Enum<MethodKind>
  - - org.apache.olingo.server.api.uri.queryoption.expression.MethodKind

- All Implemented Interfaces:
    Serializable, Comparable<MethodKind>

      public enum MethodKind
      extends Enum<MethodKind>

  Enumeration of supported methods For the semantic of these methods please see the ODATA specification for URL conventions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAST`
    `CEILING`
    `COMPUTE_AGGREGATE`
    `CONCAT`
    `CONTAINS`
    `DATE`
    `DAY`
    `ENDSWITH`
    `FLOOR`
    `FRACTIONALSECONDS`
    `GEODISTANCE`
    `GEOINTERSECTS`
    `GEOLENGTH`
    `HOUR`
    `INDEXOF`
    `ISOF`
    `LENGTH`
    `MAXDATETIME`
    `MINDATETIME`
    `MINUTE`
    `MONTH`
    `NOW`
    `ROUND`
    `SECOND`
    `STARTSWITH`
    `SUBSTRING`
    `SUBSTRINGOF`
    `TIME`
    `TOLOWER`
    `TOTALOFFSETMINUTES`
    `TOTALSECONDS`
    `TOUPPER`
    `TRIM`
    `YEAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MethodKind` | `get(String method)` URI syntax to enumeration value
    `String` | `toString()`
    `static MethodKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MethodKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPUTE_AGGREGATE

          public static final MethodKind COMPUTE_AGGREGATE

    - #### CONTAINS

          public static final MethodKind CONTAINS

    - #### STARTSWITH

          public static final MethodKind STARTSWITH

    - #### ENDSWITH

          public static final MethodKind ENDSWITH

    - #### LENGTH

          public static final MethodKind LENGTH

    - #### INDEXOF

          public static final MethodKind INDEXOF

    - #### SUBSTRING

          public static final MethodKind SUBSTRING

    - #### TOLOWER

          public static final MethodKind TOLOWER

    - #### TOUPPER

          public static final MethodKind TOUPPER

    - #### TRIM

          public static final MethodKind TRIM

    - #### CONCAT

          public static final MethodKind CONCAT

    - #### YEAR

          public static final MethodKind YEAR

    - #### MONTH

          public static final MethodKind MONTH

    - #### DAY

          public static final MethodKind DAY

    - #### HOUR

          public static final MethodKind HOUR

    - #### MINUTE

          public static final MethodKind MINUTE

    - #### SECOND

          public static final MethodKind SECOND

    - #### FRACTIONALSECONDS

          public static final MethodKind FRACTIONALSECONDS

    - #### TOTALSECONDS

          public static final MethodKind TOTALSECONDS

    - #### DATE

          public static final MethodKind DATE

    - #### TIME

          public static final MethodKind TIME

    - #### TOTALOFFSETMINUTES

          public static final MethodKind TOTALOFFSETMINUTES

    - #### MINDATETIME

          public static final MethodKind MINDATETIME

    - #### MAXDATETIME

          public static final MethodKind MAXDATETIME

    - #### NOW

          public static final MethodKind NOW

    - #### ROUND

          public static final MethodKind ROUND

    - #### FLOOR

          public static final MethodKind FLOOR

    - #### CEILING

          public static final MethodKind CEILING

    - #### GEODISTANCE

          public static final MethodKind GEODISTANCE

    - #### GEOLENGTH

          public static final MethodKind GEOLENGTH

    - #### GEOINTERSECTS

          public static final MethodKind GEOINTERSECTS

    - #### CAST

          public static final MethodKind CAST

    - #### ISOF

          public static final MethodKind ISOF

    - #### SUBSTRINGOF

          public static final MethodKind SUBSTRINGOF

  - ### Method Detail

    - #### values

          public static MethodKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MethodKind c : MethodKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MethodKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<MethodKind>`

    - #### get

          public static MethodKind get(String method)

      URI syntax to enumeration value
      Parameters:
        `method` - Method in the syntax used in the URI
      Returns:
        Method kind which represents the given syntax

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.